/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DomainChartDescription } from "./DomainChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let XYChartDescription = /*@__PURE__*/ (() => {
    class XYChartDescription extends DomainChartDescription {
        constructor() {
            super();
            this.hn = null;
            this.h5 = null;
            this.fs = 0;
            this.fu = 0;
            this.ft = 0;
            this.fr = 0;
            this.f9 = 0;
            this.gb = 0;
            this.ga = 0;
            this.f8 = 0;
            this.hs = null;
            this.ia = null;
            this.hl = null;
            this.hm = null;
            this.f3 = 0;
            this.gk = 0;
            this.f2 = 0;
            this.gj = 0;
            this.f5 = 0;
            this.gm = 0;
            this.f4 = 0;
            this.gl = 0;
            this.f1 = 0;
            this.gi = 0;
            this.h3 = null;
            this.im = null;
            this.ht = null;
            this.ib = null;
            this.h4 = null;
            this.io = null;
            this.hr = null;
            this.h9 = null;
            this.hw = null;
            this.ie = null;
            this.fv = 0;
            this.gc = 0;
            this.fw = 0;
            this.gd = 0;
            this.hy = null;
            this.ih = null;
            this.hz = null;
            this.ii = null;
            this.fx = 0;
            this.ge = 0;
            this.fy = 0;
            this.gf = 0;
            this.h0 = null;
            this.ij = null;
            this.fz = 0;
            this.gg = 0;
            this.h1 = null;
            this.ik = null;
            this.hx = null;
            this.ig = null;
            this.fq = 0;
            this.f7 = 0;
            this.fp = 0;
            this.f6 = 0;
            this.f0 = 0;
            this.gh = 0;
            this.fl = false;
            this.fm = false;
            this.h2 = null;
            this.il = null;
            this.hp = null;
            this.h7 = null;
            this.hu = null;
            this.ic = null;
            this.hv = null;
            this.id = null;
            this.h8 = null;
            this.hq = null;
            this.ho = null;
            this.fh = null;
            this.h6 = null;
            this.fi = null;
        }
        get_type() {
            return "XYChart";
        }
        get xAxisFormatLabelRef() {
            return this.hn;
        }
        set xAxisFormatLabelRef(a) {
            this.hn = a;
            this.e("XAxisFormatLabelRef");
        }
        get yAxisFormatLabelRef() {
            return this.h5;
        }
        set yAxisFormatLabelRef(a) {
            this.h5 = a;
            this.e("YAxisFormatLabelRef");
        }
        get xAxisLabelLeftMargin() {
            return this.fs;
        }
        set xAxisLabelLeftMargin(a) {
            this.fs = a;
            this.e("XAxisLabelLeftMargin");
        }
        get xAxisLabelTopMargin() {
            return this.fu;
        }
        set xAxisLabelTopMargin(a) {
            this.fu = a;
            this.e("XAxisLabelTopMargin");
        }
        get xAxisLabelRightMargin() {
            return this.ft;
        }
        set xAxisLabelRightMargin(a) {
            this.ft = a;
            this.e("XAxisLabelRightMargin");
        }
        get xAxisLabelBottomMargin() {
            return this.fr;
        }
        set xAxisLabelBottomMargin(a) {
            this.fr = a;
            this.e("XAxisLabelBottomMargin");
        }
        get yAxisLabelLeftMargin() {
            return this.f9;
        }
        set yAxisLabelLeftMargin(a) {
            this.f9 = a;
            this.e("YAxisLabelLeftMargin");
        }
        get yAxisLabelTopMargin() {
            return this.gb;
        }
        set yAxisLabelTopMargin(a) {
            this.gb = a;
            this.e("YAxisLabelTopMargin");
        }
        get yAxisLabelRightMargin() {
            return this.ga;
        }
        set yAxisLabelRightMargin(a) {
            this.ga = a;
            this.e("YAxisLabelRightMargin");
        }
        get yAxisLabelBottomMargin() {
            return this.f8;
        }
        set yAxisLabelBottomMargin(a) {
            this.f8 = a;
            this.e("YAxisLabelBottomMargin");
        }
        get xAxisLabelTextColor() {
            return this.hs;
        }
        set xAxisLabelTextColor(a) {
            this.hs = a;
            this.e("XAxisLabelTextColor");
        }
        get yAxisLabelTextColor() {
            return this.ia;
        }
        set yAxisLabelTextColor(a) {
            this.ia = a;
            this.e("YAxisLabelTextColor");
        }
        get actualXAxisLabelTextColor() {
            return this.hl;
        }
        set actualXAxisLabelTextColor(a) {
            this.hl = a;
            this.e("ActualXAxisLabelTextColor");
        }
        get actualYAxisLabelTextColor() {
            return this.hm;
        }
        set actualYAxisLabelTextColor(a) {
            this.hm = a;
            this.e("ActualYAxisLabelTextColor");
        }
        get xAxisTitleMargin() {
            return this.f3;
        }
        set xAxisTitleMargin(a) {
            this.f3 = a;
            this.e("XAxisTitleMargin");
        }
        get yAxisTitleMargin() {
            return this.gk;
        }
        set yAxisTitleMargin(a) {
            this.gk = a;
            this.e("YAxisTitleMargin");
        }
        get xAxisTitleLeftMargin() {
            return this.f2;
        }
        set xAxisTitleLeftMargin(a) {
            this.f2 = a;
            this.e("XAxisTitleLeftMargin");
        }
        get yAxisTitleLeftMargin() {
            return this.gj;
        }
        set yAxisTitleLeftMargin(a) {
            this.gj = a;
            this.e("YAxisTitleLeftMargin");
        }
        get xAxisTitleTopMargin() {
            return this.f5;
        }
        set xAxisTitleTopMargin(a) {
            this.f5 = a;
            this.e("XAxisTitleTopMargin");
        }
        get yAxisTitleTopMargin() {
            return this.gm;
        }
        set yAxisTitleTopMargin(a) {
            this.gm = a;
            this.e("YAxisTitleTopMargin");
        }
        get xAxisTitleRightMargin() {
            return this.f4;
        }
        set xAxisTitleRightMargin(a) {
            this.f4 = a;
            this.e("XAxisTitleRightMargin");
        }
        get yAxisTitleRightMargin() {
            return this.gl;
        }
        set yAxisTitleRightMargin(a) {
            this.gl = a;
            this.e("YAxisTitleRightMargin");
        }
        get xAxisTitleBottomMargin() {
            return this.f1;
        }
        set xAxisTitleBottomMargin(a) {
            this.f1 = a;
            this.e("XAxisTitleBottomMargin");
        }
        get yAxisTitleBottomMargin() {
            return this.gi;
        }
        set yAxisTitleBottomMargin(a) {
            this.gi = a;
            this.e("YAxisTitleBottomMargin");
        }
        get xAxisTitleTextColor() {
            return this.h3;
        }
        set xAxisTitleTextColor(a) {
            this.h3 = a;
            this.e("XAxisTitleTextColor");
        }
        get yAxisTitleTextColor() {
            return this.im;
        }
        set yAxisTitleTextColor(a) {
            this.im = a;
            this.e("YAxisTitleTextColor");
        }
        get xAxisLabelTextStyle() {
            return this.ht;
        }
        set xAxisLabelTextStyle(a) {
            this.ht = a;
            this.e("XAxisLabelTextStyle");
        }
        get yAxisLabelTextStyle() {
            return this.ib;
        }
        set yAxisLabelTextStyle(a) {
            this.ib = a;
            this.e("YAxisLabelTextStyle");
        }
        get xAxisTitleTextStyle() {
            return this.h4;
        }
        set xAxisTitleTextStyle(a) {
            this.h4 = a;
            this.e("XAxisTitleTextStyle");
        }
        get yAxisTitleTextStyle() {
            return this.io;
        }
        set yAxisTitleTextStyle(a) {
            this.io = a;
            this.e("YAxisTitleTextStyle");
        }
        get xAxisLabelRef() {
            return this.hr;
        }
        set xAxisLabelRef(a) {
            this.hr = a;
            this.e("XAxisLabelRef");
        }
        get yAxisLabelRef() {
            return this.h9;
        }
        set yAxisLabelRef(a) {
            this.h9 = a;
            this.e("YAxisLabelRef");
        }
        get xAxisMajorStroke() {
            return this.hw;
        }
        set xAxisMajorStroke(a) {
            this.hw = a;
            this.e("XAxisMajorStroke");
        }
        get yAxisMajorStroke() {
            return this.ie;
        }
        set yAxisMajorStroke(a) {
            this.ie = a;
            this.e("YAxisMajorStroke");
        }
        get xAxisMajorStrokeThickness() {
            return this.fv;
        }
        set xAxisMajorStrokeThickness(a) {
            this.fv = a;
            this.e("XAxisMajorStrokeThickness");
        }
        get yAxisMajorStrokeThickness() {
            return this.gc;
        }
        set yAxisMajorStrokeThickness(a) {
            this.gc = a;
            this.e("YAxisMajorStrokeThickness");
        }
        get xAxisMinorStrokeThickness() {
            return this.fw;
        }
        set xAxisMinorStrokeThickness(a) {
            this.fw = a;
            this.e("XAxisMinorStrokeThickness");
        }
        get yAxisMinorStrokeThickness() {
            return this.gd;
        }
        set yAxisMinorStrokeThickness(a) {
            this.gd = a;
            this.e("YAxisMinorStrokeThickness");
        }
        get xAxisStrip() {
            return this.hy;
        }
        set xAxisStrip(a) {
            this.hy = a;
            this.e("XAxisStrip");
        }
        get yAxisStrip() {
            return this.ih;
        }
        set yAxisStrip(a) {
            this.ih = a;
            this.e("YAxisStrip");
        }
        get xAxisStroke() {
            return this.hz;
        }
        set xAxisStroke(a) {
            this.hz = a;
            this.e("XAxisStroke");
        }
        get yAxisStroke() {
            return this.ii;
        }
        set yAxisStroke(a) {
            this.ii = a;
            this.e("YAxisStroke");
        }
        get xAxisStrokeThickness() {
            return this.fx;
        }
        set xAxisStrokeThickness(a) {
            this.fx = a;
            this.e("XAxisStrokeThickness");
        }
        get yAxisStrokeThickness() {
            return this.ge;
        }
        set yAxisStrokeThickness(a) {
            this.ge = a;
            this.e("YAxisStrokeThickness");
        }
        get xAxisTickLength() {
            return this.fy;
        }
        set xAxisTickLength(a) {
            this.fy = a;
            this.e("XAxisTickLength");
        }
        get yAxisTickLength() {
            return this.gf;
        }
        set yAxisTickLength(a) {
            this.gf = a;
            this.e("YAxisTickLength");
        }
        get xAxisTickStroke() {
            return this.h0;
        }
        set xAxisTickStroke(a) {
            this.h0 = a;
            this.e("XAxisTickStroke");
        }
        get yAxisTickStroke() {
            return this.ij;
        }
        set yAxisTickStroke(a) {
            this.ij = a;
            this.e("YAxisTickStroke");
        }
        get xAxisTickStrokeThickness() {
            return this.fz;
        }
        set xAxisTickStrokeThickness(a) {
            this.fz = a;
            this.e("XAxisTickStrokeThickness");
        }
        get yAxisTickStrokeThickness() {
            return this.gg;
        }
        set yAxisTickStrokeThickness(a) {
            this.gg = a;
            this.e("YAxisTickStrokeThickness");
        }
        get xAxisTitle() {
            return this.h1;
        }
        set xAxisTitle(a) {
            this.h1 = a;
            this.e("XAxisTitle");
        }
        get yAxisTitle() {
            return this.ik;
        }
        set yAxisTitle(a) {
            this.ik = a;
            this.e("YAxisTitle");
        }
        get xAxisMinorStroke() {
            return this.hx;
        }
        set xAxisMinorStroke(a) {
            this.hx = a;
            this.e("XAxisMinorStroke");
        }
        get yAxisMinorStroke() {
            return this.ig;
        }
        set yAxisMinorStroke(a) {
            this.ig = a;
            this.e("YAxisMinorStroke");
        }
        get xAxisLabelAngle() {
            return this.fq;
        }
        set xAxisLabelAngle(a) {
            this.fq = a;
            this.e("XAxisLabelAngle");
        }
        get yAxisLabelAngle() {
            return this.f7;
        }
        set yAxisLabelAngle(a) {
            this.f7 = a;
            this.e("YAxisLabelAngle");
        }
        get xAxisExtent() {
            return this.fp;
        }
        set xAxisExtent(a) {
            this.fp = a;
            this.e("XAxisExtent");
        }
        get yAxisExtent() {
            return this.f6;
        }
        set yAxisExtent(a) {
            this.f6 = a;
            this.e("YAxisExtent");
        }
        get xAxisTitleAngle() {
            return this.f0;
        }
        set xAxisTitleAngle(a) {
            this.f0 = a;
            this.e("XAxisTitleAngle");
        }
        get yAxisTitleAngle() {
            return this.gh;
        }
        set yAxisTitleAngle(a) {
            this.gh = a;
            this.e("YAxisTitleAngle");
        }
        get xAxisInverted() {
            return this.fl;
        }
        set xAxisInverted(a) {
            this.fl = a;
            this.e("XAxisInverted");
        }
        get yAxisInverted() {
            return this.fm;
        }
        set yAxisInverted(a) {
            this.fm = a;
            this.e("YAxisInverted");
        }
        get xAxisTitleAlignment() {
            return this.h2;
        }
        set xAxisTitleAlignment(a) {
            this.h2 = a;
            this.e("XAxisTitleAlignment");
        }
        get yAxisTitleAlignment() {
            return this.il;
        }
        set yAxisTitleAlignment(a) {
            this.il = a;
            this.e("YAxisTitleAlignment");
        }
        get xAxisLabelHorizontalAlignment() {
            return this.hp;
        }
        set xAxisLabelHorizontalAlignment(a) {
            this.hp = a;
            this.e("XAxisLabelHorizontalAlignment");
        }
        get yAxisLabelHorizontalAlignment() {
            return this.h7;
        }
        set yAxisLabelHorizontalAlignment(a) {
            this.h7 = a;
            this.e("YAxisLabelHorizontalAlignment");
        }
        get xAxisLabelVerticalAlignment() {
            return this.hu;
        }
        set xAxisLabelVerticalAlignment(a) {
            this.hu = a;
            this.e("XAxisLabelVerticalAlignment");
        }
        get yAxisLabelVerticalAlignment() {
            return this.ic;
        }
        set yAxisLabelVerticalAlignment(a) {
            this.ic = a;
            this.e("YAxisLabelVerticalAlignment");
        }
        get xAxisLabelVisibility() {
            return this.hv;
        }
        set xAxisLabelVisibility(a) {
            this.hv = a;
            this.e("XAxisLabelVisibility");
        }
        get yAxisLabelVisibility() {
            return this.id;
        }
        set yAxisLabelVisibility(a) {
            this.id = a;
            this.e("YAxisLabelVisibility");
        }
        get yAxisLabelLocation() {
            return this.h8;
        }
        set yAxisLabelLocation(a) {
            this.h8 = a;
            this.e("YAxisLabelLocation");
        }
        get xAxisLabelLocation() {
            return this.hq;
        }
        set xAxisLabelLocation(a) {
            this.hq = a;
            this.e("XAxisLabelLocation");
        }
        get xAxisLabelFormat() {
            return this.ho;
        }
        set xAxisLabelFormat(a) {
            this.ho = a;
            this.e("XAxisLabelFormat");
        }
        get xAxisLabelFormatSpecifiers() {
            return this.fh;
        }
        set xAxisLabelFormatSpecifiers(a) {
            this.fh = a;
            this.e("XAxisLabelFormatSpecifiers");
        }
        get yAxisLabelFormat() {
            return this.h6;
        }
        set yAxisLabelFormat(a) {
            this.h6 = a;
            this.e("YAxisLabelFormat");
        }
        get yAxisLabelFormatSpecifiers() {
            return this.fi;
        }
        set yAxisLabelFormatSpecifiers(a) {
            this.fi = a;
            this.e("YAxisLabelFormatSpecifiers");
        }
    }
    XYChartDescription.$t = markType(XYChartDescription, 'XYChartDescription', DomainChartDescription.$);
    return XYChartDescription;
})();
